VERSION 5.00
Begin VB.Form PreviewForm 
   Caption         =   "Preview"
   ClientHeight    =   5940
   ClientLeft      =   2610
   ClientTop       =   1455
   ClientWidth     =   6690
   LinkTopic       =   "Form2"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5940
   ScaleWidth      =   6690
   Begin VB.PictureBox HiddenPict 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00FFFFFF&
      BorderStyle     =   0  'None
      Height          =   1695
      Left            =   1080
      ScaleHeight     =   1695
      ScaleWidth      =   2055
      TabIndex        =   0
      Top             =   840
      Visible         =   0   'False
      Width           =   2055
   End
   Begin VB.PictureBox PreviewPict 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00FFFFFF&
      Height          =   1695
      Left            =   0
      ScaleHeight     =   1635
      ScaleWidth      =   1995
      TabIndex        =   1
      Top             =   0
      Width           =   2055
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileClose 
         Caption         =   "&Close"
      End
   End
   Begin VB.Menu mnuScale 
      Caption         =   "&Scale"
      Begin VB.Menu mnuSetScale 
         Caption         =   "&Full Scale"
         Index           =   1
      End
      Begin VB.Menu mnuSetScale 
         Caption         =   "x 1/&2"
         Index           =   2
      End
      Begin VB.Menu mnuSetScale 
         Caption         =   "x 1/&4"
         Index           =   4
      End
   End
End
Attribute VB_Name = "PreviewForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Display the preview.
Public Sub ShowPreview()
    mnuSetScale_Click 2
    Me.Show vbModal
End Sub

Private Sub mnuFileClose_Click()
    Unload Me
End Sub


' View at scale 1 / Index.
Private Sub mnuSetScale_Click(Index As Integer)
Dim i As Integer
Dim wid As Single
Dim hgt As Single

    ' Check the selected menu scale item.
    mnuSetScale(1).Checked = False
    mnuSetScale(2).Checked = False
    mnuSetScale(4).Checked = False
    mnuSetScale(Index).Checked = True

    ' Make PreviewPict the correct size.
    wid = (PreviewPict.Width - _
        PreviewPict.ScaleWidth) + _
        HiddenPict.Width / Index
    hgt = (PreviewPict.Height - _
        PreviewPict.ScaleHeight) + _
        HiddenPict.Height / Index
    PreviewPict.Move 0, 0, wid, hgt

    ' Copy the hidden picture into PreviewPict.
    PreviewPict.PaintPicture HiddenPict.Image, _
        0, 0, _
        PreviewPict.ScaleWidth, _
        PreviewPict.ScaleHeight
End Sub

